galaxy-grafana.ds.influx
========================

Add an InfluxDB datasource to Grafana

Requirements
------------

An InfluxDB service up and running

Role Variables
--------------

- grafana_proto: https or http, used by grafana
- grafana_domain: domain name used by grafana
- grafana_port: port used by grafana
- grafana_url_port: port used by grafana in url

- grafana_admin_user: grafana admin user
- grafana_admin_pass: grafana admin passwd

- datasource_name: name of the datasource to link grafana with influx
- influx_url: url of inluxdb
- influx_proto: proto http or https used by influx
- influx_port: port used influx
- influx_db_name: influxdb name to link to grafana
- influx_user: influxdb username
- influx_pass: influxdb passe to link to grafana
- grafana_org_id: org ig (number)
- is_default: yes/no is this the default source

Dependencies
------------

None

Example Playbook
----------------

Including an example of how to use your role (for instance, with variables passed in as parameters) is always nice for users too:

    - hosts: servers
      roles:
         - role: galaxy-grafana.ds.influx

Run tests
---------

Ensure galaxy-vagrant is up

    ansible-playbook -i tests/inventory tests/test.yml